# Contador
contador = 0

# Bucle infinito
while True:

    numero = int(input("Ingrese un número (111 para salir): "))

    # Verificar si desea salir
    if numero == 111:
        print("Programa finalizado")
        break

    # Mostrar número ingresado
    print("Ingresaste:", numero)

    # Aumentar contador
    contador += 1

# Mostrar cantidad de números ingresados
print("Cantidad de números ingresados:", contador)